PMDAPAPI(1)

NAME
pmdapapi - papi performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/pmdapapi [-d domain] [-l logfile]

DESCRIPTION
pmdapapi is a papi Performance Metrics Domain Agent (PMDA) which exposes hardware performance counters via the library Performance API (Papi).

The metrics exported by the papi PMDA report values gathered from the hardware counters and metrics available, as reported by papi. Currently, only root users may access such metrics.

A brief description of the pmdapapi command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named papi.log is written in the current directory of pmcd(1) when pmdapapi is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

INSTALLATION
If you want access to the names, help text and values for the papi performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/papi
# ./Install

If you want to undo the installation (and remove both PMDAs), do the following as root:

# cd $PCP_PMDAS_DIR/papi
# ./Remove

pmdapapi is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdapapi
$PCP_PMDAS_DIR/papi/help
    default help text file for the papi metrics
$PCP_PMDAS_DIR/papi/Install
    installation script for the pmdapapi agent
$PCP_PMDAS_DIR/papi/Remove
    undo installation script for the pmdapapi agent
$PCP_LOG_DIR/pmcd/sample.log
    default log file for error messages and other information from pmdapapi

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).